Subject: Allow exposing the class name of an object in JsonView

Description

Besides telling the identifier of a persisted object, it should additionally be possible to expose the class name of this object.

Associated revisions

Revision 5aa52833 - 2012-12-18 18:11 - Adrian Foder

[FEATURE] Allow exposing the class name of an object in JsonView

Besides telling the identifier of a persisted object, it's now

additionally possible to expose the class name of this object.

For convenience, it's possible to output only the unqualified class
name rather than the fully qualified one.

Change-Id: 1d64b4d13db85f64b936122b33b3223fb1081e67a

Resolves: #42784
Releases: master

History

#1 - 2012-11-08 10:55 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 3 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/16050

#2 - 2012-12-12 09:19 - Karsten Dambekalns
- Target version changed from 2.0 beta 1 to 2.1

#3 - 2013-04-11 08:17 - Adrian Foder

- Status changed from Under Review to Resolved
